# Outbound Payment Import

Source: https://docs.gocardless.com/docs/api-reference/outbound-payment-import

## Create an outbound payment import

`POST /outbound_payment_imports`

### Request body

Wrap request body attributes in a `outbound_payment_imports` object.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `entry_items` | array | No |  |
| `links` | object | No |  |

### Responses

| Status | Description |
| --- | --- |
| 201 | Resource created successfully |
| 400 | Bad Request |
| 401 | Unauthorised |
| 404 | Not found |
| 422 | Validation Error |
| 500 | Internal Error |

---

## List outbound payment imports

`GET /outbound_payment_imports`

Returns a [cursor-paginated](#api-usage-cursor-pagination) list of your outbound payment imports.

### Responses

| Status | Description |
| --- | --- |
| 200 | Successful response |
| 400 | Bad Request |
| 401 | Unauthorised |
| 404 | Not found |
| 422 | Validation Error |
| 500 | Internal Error |

---

## Get an outbound payment import

`GET /outbound_payment_imports/{outbound_payment_import_id}`

Returns a single outbound payment import.

### Parameters

| Name | Location | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `outbound_payment_import_id` | path | string | Yes | The outbound payment import id |

### Responses

| Status | Description |
| --- | --- |
| 200 | Successful response |
| 400 | Bad Request |
| 401 | Unauthorised |
| 404 | Not found |
| 422 | Validation Error |
| 500 | Internal Error |
